Page MenuHomePhabricator

[clang-cl] Allowed -fopenmp work and link openmp library from per-runtime library directory
Needs ReviewPublic

Authored by SquallATF on Oct 21 2018, 1:51 AM.

Details

Summary

clang-cl driver already have -fopenmp option related code, but -fopenmp option not alloewd press to clang-cl driver, this patch fixed it and allowed link to multiarch openmp library.

Diff Detail

Event Timeline

SquallATF created this revision.Oct 21 2018, 1:51 AM
SquallATF edited the summary of this revision. (Show Details)Oct 21 2018, 1:58 AM
rnk accepted this revision.Oct 22 2018, 1:53 PM

lgtm

This revision is now accepted and ready to land.Oct 22 2018, 1:53 PM
rnk requested changes to this revision.Oct 22 2018, 1:54 PM

Actually, can you please add -fopenmp to test/Driver/cl-options.c to verify that we accept -fopenmp?

This revision now requires changes to proceed.Oct 22 2018, 1:54 PM
SquallATF updated this revision to Diff 170559.Oct 22 2018, 6:52 PM
  • add test
hans accepted this revision.Oct 23 2018, 4:52 AM

Looks good to me.

isuruf added a subscriber: isuruf.Wed, Aug 21, 10:19 AM

Was this patch merged in clang?

Herald added a project: Restricted Project. · View Herald Transcript
hans added a comment.Thu, Aug 22, 6:54 AM

It looks like it was never committed.

Peiyuan, what's the status here?

It looks like it was never committed.

Peiyuan, what's the status here?

This patch need rebase, I see recent have a commit rG7994e1d alias /openmp option to -fopenmp may be that is better. but that commit not support -fopenmp= option. So can't choose Intel's OpenMP runtime.